import env
import prologue
import templating

proc getIndex*(ctx: Context) {.async.} =
  resp renderTemplate(templateName="index.nwt")

proc runWebsite() =
  let settings = newSettings(
    debug = boolEnvOrDefault("DEBUG", false)
  )
  let website = newApp(settings = settings)

  website.get("/", getIndex)

  website.run()

export runWebsite
